# UnTypographizer Class Reference
[Tools for primitive's filtration]

Inheritance diagram for UnTypographizer:
[legend]

List of all members.

## Public Member Functions

| apply ($value)

## Static Public Member Functions

static | me ()

## Static Private Attributes

static | $symbols

## Detailed Description

Definition at line 15 of file UnTypographizer.class.php.

## Member Function Documentation

UnTypographizer::apply | ( | $ | value | ) |

Definition at line 46 of file UnTypographizer.class.php.

static UnTypographizer::me | ( |  | ) | `[static]`

Returns:
  UnTypographizer

Implements Instantiatable.

Definition at line 41 of file UnTypographizer.class.php.

References Singleton::getInstance().

Here is the call graph for this function:

## Member Data Documentation

UnTypographizer::$symbols`[static, private]`

Initial value:

                array(
                    '&nbsp;'    => ' ',
                    ' &lt; '    => ' < ',
                    ' &gt; '    => ' > ',
                    '&#133;'    => '…',
                    '&trade;'   => '™',
                    '&copy;'    => '©',
                    '&#8470;'   => '№',
                    '&#151;'    => '—',
                    '&mdash;'   => '—',
                    '&laquo;'   => '«',
                    '&raquo;'   => '»',
                    '&bull;'    => '•',
                    '&reg;'     => '®',
                    '&frac14;'  => '¼',
                    '&frac12;'  => '½',
                    '&frac34;'  => '¾',
                    '&plusmn;'  => '±'
                )

Definition at line 17 of file UnTypographizer.class.php.

The documentation for this class was generated from the following file:

- core/Form/Filters/UnTypographizer.class.php